summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml67
-rwxr-xr-xbuild/prepareTests.sh141
-rwxr-xr-xbuild/prepareTestsOracle.sh65
-rw-r--r--build/travis.php.ini1
4 files changed, 0 insertions, 274 deletions
diff --git a/.travis.yml b/.travis.yml
deleted file mode 100644
index c5d6c9655ff..00000000000
--- a/.travis.yml
+++ /dev/null
@@ -1,67 +0,0 @@
-language: php
-php:
- - 5.3
- - 5.4
- - 5.5
- - 5.6
- - hhvm
-
-matrix:
- include:
- - php: 5.4
- env: DB=oracle
- - php: 5.4
- env: DB=pgsql
- - php: 5.4
- env: DB=mysql
- - php: 5.4
- env: DB=mysql EXTERNAL=true
- allow_failures:
- - php: hhvm
- fast_finish: true
-
-env:
- global:
- - EXTERNAL=false
- matrix:
- - DB=sqlite
-
-before_script:
- # setup databases
- - wget https://raw.githubusercontent.com/owncloud/administration/master/travis-ci/setup_databases.sh
- - bash ./setup_databases.sh $DB
-
- # Additional PHP config
- - if [[ $HHVM == false ]] ; then phpenv config-add build/travis.php.ini ; fi
-
- # fetch Ocular (for test coverage upload)
- - wget https://scrutinizer-ci.com/ocular.phar
-
- # call setup for tests
- - build/prepareTests.sh $DB
-
- # Enable/disable files_external to control it's unit test execution
- - php occ --list
- - if [[ $EXTERNAL == true ]] ; then php occ app:enable files_external ; fi
- - if [[ $EXTERNAL == false ]] ; then php occ app:disable files_external ; fi
-
-script:
- - phpunit --version
- # Run PHP lint for each PHP version
- - if [[ $DB == 'sqlite' ]] ; then ant -f build/build.xml -Dbasedir=. prepare lint ; fi
-
- # Run tests
- - phpunit --configuration tests/phpunit-autotest.xml --coverage-clover tests/autotest-clover-$DB.xml --verbose --debug
-
- # Run JS tests just once (see test matrix - mysql is just run once)
- - if [[ $DB == 'mysql' ]] ; then ./autotest-js.sh ; fi
-
- # Upload coverage report
- - php ocular.phar code-coverage:upload --format=php-clover tests/autotest-clover-$DB.xml
-
-branches:
- only:
- - master
- - stable5
- - stable6
- - stable7
diff --git a/build/prepareTests.sh b/build/prepareTests.sh
deleted file mode 100755
index 84bbfd40f6d..00000000000
--- a/build/prepareTests.sh
+++ /dev/null
@@ -1,141 +0,0 @@
-#!/bin/bash
-#
-# ownCloud
-#
-# @author Thomas Müller
-# @author Morris Jobke
-# @copyright 2012, 2013 Thomas Müller thomas.mueller@tmit.eu
-# @copyright 2014 Morris Jobke hey@morrisjobke.de
-#
-
-DATABASENAME=oc_autotest
-DATABASEUSER=oc_autotest
-ADMINLOGIN=admin
-BASEDIR=$PWD
-
-# check for database parameter
-if [ $1 ]; then
- DBCONFIGS="sqlite mysql pgsql oracle"
- FOUND=0
- for DBCONFIG in $DBCONFIGS; do
- if [ $1 = $DBCONFIG ]; then
- FOUND=1
- break
- fi
- done
- if [ $FOUND = 0 ]; then
- echo -e "Unknown database config name \"$1\"\n" >&2
- exit 2
- fi
-else
- echo "Please pass in a database to use as first parameter" >&2
- exit 1
-fi
-
-# check if config dir and file is writable
-if ! [[ -w config && ( !( -e config/config.php ) || -w config/config.php ) ]]; then
- echo "Please enable write permissions on config and config/config.php" >&2
- exit 1
-fi
-
-# use tmpfs for datadir - should speedup unit test execution
-if [ -d /dev/shm ]; then
- DATADIR=/dev/shm/data-autotest
-else
- DATADIR=$BASEDIR/data-autotest
-fi
-
-echo "Setup environment for $1 testing ..."
-# revert changes to tests/data
-git checkout tests/data/*
-
-# reset data directory
-rm -rf $DATADIR
-mkdir $DATADIR
-
-cp tests/preseed-config.php config/config.php
-
-# # # # # #
-# SQLite #
-# # # # # #
-if [ "$1" == "sqlite" ] ; then
- cat > ./config/autoconfig.php <<DELIM
-<?php
-\$AUTOCONFIG = array (
- 'installed' => false,
- 'dbtype' => 'sqlite',
- 'dbtableprefix' => 'oc_',
- 'adminlogin' => '$ADMINLOGIN',
- 'adminpass' => 'admin',
- 'directory' => '$DATADIR',
-);
-DELIM
-fi
-
-# # # # #
-# MySQL #
-# # # # #
-if [ "$1" == "mysql" ] ; then
- cat > ./config/autoconfig.php <<DELIM
-<?php
-\$AUTOCONFIG = array (
- 'installed' => false,
- 'dbtype' => 'mysql',
- 'dbtableprefix' => 'oc_',
- 'adminlogin' => '$ADMINLOGIN',
- 'adminpass' => 'admin',
- 'directory' => '$DATADIR',
- 'dbuser' => '$DATABASEUSER',
- 'dbname' => '$DATABASENAME',
- 'dbhost' => 'localhost',
- 'dbpass' => 'owncloud',
-);
-DELIM
-fi
-
-# # # # # # # #
-# PostgreSQL #
-# # # # # # # #
-if [ "$1" == "pgsql" ] ; then
- cat > ./config/autoconfig.php <<DELIM
-<?php
-\$AUTOCONFIG = array (
- 'installed' => false,
- 'dbtype' => 'pgsql',
- 'dbtableprefix' => 'oc_',
- 'adminlogin' => '$ADMINLOGIN',
- 'adminpass' => 'admin',
- 'directory' => '$DATADIR',
- 'dbuser' => '$DATABASEUSER',
- 'dbname' => '$DATABASENAME',
- 'dbhost' => 'localhost',
- 'dbpass' => 'owncloud',
-);
-DELIM
-
-fi
-
-# # # # # #
-# Oracle #
-# # # # # #
-if [ "$1" == "oracle" ] ; then
- build/prepareTestsOracle.sh $DATABASENAME $DATABASEUSER $ADMINLOGIN $DATADIR
-fi
-
-echo "Trigger ownCloud installation"
-php -f index.php | grep -i -C9999 error && echo "Error during setup" && exit 101
-
-echo "Enable apps ..."
-cd tests
-php -f enable_all.php | grep -i -C9999 error && echo "Error during setup" && exit 101
-cd $BASEDIR
-
-# show environment
-echo "ownCloud configuration:"
-cat $BASEDIR/config/config.php
-
-echo "ownCloud data directory:"
-ls -ll $DATADIR
-
-echo "owncloud.log:"
-cat $DATADIR/owncloud.log
diff --git a/build/prepareTestsOracle.sh b/build/prepareTestsOracle.sh
deleted file mode 100755
index 65a59036659..00000000000
--- a/build/prepareTestsOracle.sh
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/bash
-#
-# ownCloud - prepareTestOracle.sh
-#
-# @author Morris Jobke
-# @copyright 2014 Morris Jobke hey@morrisjobke.de
-#
-
-DATABASENAME=$1
-DATABASEUSER=$2
-ADMINLOGIN=$3
-DATADIR=$4
-
-# set oracle home if it is not set
-TRAVIS_ORACLE_HOME="/usr/lib/oracle/xe/app/oracle/product/10.2.0/server"
-[ -z "$ORACLE_HOME" ] && ORACLE_HOME=$TRAVIS_ORACLE_HOME
-
-echo "Load Oracle environment variables so that we can run 'sqlplus'."
- . $ORACLE_HOME/bin/oracle_env.sh
-
-echo "drop the database"
-sqlplus64 -s -l / as sysdba <<EOF
- drop user $DATABASENAME cascade;
-EOF
-
-echo "create the database"
-sqlplus64 -s -l / as sysdba <<EOF
- create user $DATABASENAME identified by owncloud;
- alter user $DATABASENAME default tablespace users
- temporary tablespace temp
- quota unlimited on users;
- grant create session
- , create table
- , create procedure
- , create sequence
- , create trigger
- , create view
- , create synonym
- , alter session
- to $DATABASENAME;
- exit;
-EOF
-
-# there was a maximum cursor limit exceed
-# therefore increase the limit
-sqlplus64 -s -l / as sysdba <<EOF
- ALTER SYSTEM SET open_cursors = 1000 SCOPE=BOTH;
-EOF
-
-cat > ./config/autoconfig.php <<DELIM
-<?php
-\$AUTOCONFIG = array (
- 'installed' => false,
- 'dbtype' => 'oci',
- 'dbtableprefix' => 'oc_',
- 'adminlogin' => '$ADMINLOGIN',
- 'adminpass' => 'admin',
- 'directory' => '$DATADIR',
- 'dbuser' => '$DATABASEUSER',
- 'dbname' => 'XE',
- 'dbhost' => 'localhost',
- 'dbpass' => 'owncloud',
-);
-DELIM
-
diff --git a/build/travis.php.ini b/build/travis.php.ini
deleted file mode 100644
index 5e5483e2d6a..00000000000
--- a/build/travis.php.ini
+++ /dev/null
@@ -1 +0,0 @@
-memory_limit = 1024M